createCompositionzaryadka_work = function()
    
        local compositionzaryadka_work = CreateCompositionSequence()
        local compositionDuration = 6.2 --10.8333333333333
        compositionzaryadka_work:SetDuration(compositionDuration)
    
    
        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/phone_charge/PCharge_light1.png")
        element:SetName("Layer_1")
        compositionzaryadka_work:AddElement(element)
        element:SetHotSpot(12, 12.5)
        element:SetParentElement(compositionzaryadka_work)
        element:SetXY(17.1333312988281, 44.5333251953125)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 10.8333333333333)
    
        effector:SetKey(_TRACK_O, 4.875, 0.03)
        effector:SetKey(_TRACK_O, 5.33333333333333, 1)
    
        effector:Play()
    
    
        -- Layer Layer_2
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/phone_charge/PCharge_light2.png")
        element:SetName("Layer_2")
        compositionzaryadka_work:AddElement(element)
        element:SetHotSpot(12, 12.5)
        element:SetParentElement(compositionzaryadka_work)
        element:SetXY(15.9333343505859, 44.4999847412109)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 10.8333333333333)
    
        effector:SetKey(_TRACK_O, 0, 0)
        effector:SetKey(_TRACK_O, 0.3782958984375, 1)
        effector:SetKey(_TRACK_O, 0.75663248697917, 0)
        effector:SetKey(_TRACK_O, 1.13492838541667, 1)
        effector:SetKey(_TRACK_O, 1.51326497395833, 0)
        effector:SetKey(_TRACK_O, 1.89156087239583, 1)
        effector:SetKey(_TRACK_O, 2.2698974609375, 0)
        effector:SetKey(_TRACK_O, 2.648193359375, 1)
        effector:SetKey(_TRACK_O, 3.02652994791667, 0)
        effector:SetKey(_TRACK_O, 3.40482584635417, 1)
        effector:SetKey(_TRACK_O, 3.78316243489583, 0)
        effector:SetKey(_TRACK_O, 4.16145833333333, 1)
        effector:SetKey(_TRACK_O, 4.53975423177083, 0)
    
        effector:Play()
    
    
        -- Layer Layer_3
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/phone_charge/PCharge_light1.png")
        element:SetName("Layer_3")
        compositionzaryadka_work:AddElement(element)
        element:SetHotSpot(12, 12.5)
        element:SetParentElement(compositionzaryadka_work)
        element:SetXY(210.199996948242, 228.533340454102)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 10.8333333333333)
    
        effector:SetKey(_TRACK_O, 4.875, 0.03)
        effector:SetKey(_TRACK_O, 5.33333333333333, 1)
    
        effector:Play()
    
    
        -- Layer Layer_4
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/phone_charge/PCharge_light2.png")
        element:SetName("Layer_4")
        compositionzaryadka_work:AddElement(element)
        element:SetHotSpot(12, 12.5)
        element:SetParentElement(compositionzaryadka_work)
        element:SetXY(209, 228.5)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 10.8333333333333)
    
        effector:SetKey(_TRACK_O, 0, 0)
        effector:SetKey(_TRACK_O, 0.3782958984375, 1)
        effector:SetKey(_TRACK_O, 0.75663248697917, 0)
        effector:SetKey(_TRACK_O, 1.13492838541667, 1)
        effector:SetKey(_TRACK_O, 1.51326497395833, 0)
        effector:SetKey(_TRACK_O, 1.89156087239583, 1)
        effector:SetKey(_TRACK_O, 2.2698974609375, 0)
        effector:SetKey(_TRACK_O, 2.648193359375, 1)
        effector:SetKey(_TRACK_O, 3.02652994791667, 0)
        effector:SetKey(_TRACK_O, 3.40482584635417, 1)
        effector:SetKey(_TRACK_O, 3.78316243489583, 0)
        effector:SetKey(_TRACK_O, 4.16145833333333, 1)
        effector:SetKey(_TRACK_O, 4.53975423177083, 0)
    
        effector:Play()
    
    
        -- Layer Layer_5
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/phone_charge/phone_charge.png")
        element:SetName("Layer_5")
        compositionzaryadka_work:AddElement(element)
        element:SetHotSpot(7, 8)
        element:SetParentElement(compositionzaryadka_work)
        element:SetXY(191.375, 235.625)
    
        element:SetScaleX(0.39285714285714)
        element:SetScaleY(0.359375)
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(3.66666666666667, 10.8333333333333)
    
        effector:SetKey(_TRACK_O, 3.66666666666667, 0)
        effector:SetKey(_TRACK_O, 4.33333333333333, 1)
    
        effector:Play()
    
    
        -- Layer Layer_6
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/phone_charge/phone_charge.png")
        element:SetName("Layer_6")
        compositionzaryadka_work:AddElement(element)
        element:SetHotSpot(7, 8)
        element:SetParentElement(compositionzaryadka_work)
        element:SetXY(185.875, 235.25)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(3, 10.8333333333333)
    
        effector:SetKey(_TRACK_O, 3, 0)
        effector:SetKey(_TRACK_O, 3.66666666666667, 1)
    
        effector:Play()
    
    
        -- Layer Layer_7
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/phone_charge/phone_charge.png")
        element:SetName("Layer_7")
        compositionzaryadka_work:AddElement(element)
        element:SetHotSpot(7, 8)
        element:SetParentElement(compositionzaryadka_work)
        element:SetXY(178.375, 235)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(2.33333333333333, 10.8333333333333)
    
        effector:SetKey(_TRACK_O, 2.33333333333333, 0)
        effector:SetKey(_TRACK_O, 3, 1)
    
        effector:Play()
    
    
        -- Layer Layer_8
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/phone_charge/phone_charge.png")
        element:SetName("Layer_8")
        compositionzaryadka_work:AddElement(element)
        element:SetHotSpot(7, 8)
        element:SetParentElement(compositionzaryadka_work)
        element:SetXY(170.875, 234.5)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(1.66666666666667, 10.8333333333333)
    
        effector:SetKey(_TRACK_O, 1.66666666666667, 0)
        effector:SetKey(_TRACK_O, 2.33333333333333, 1)
    
        effector:Play()
    
    
        -- Layer Layer_9
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/phone_charge/phone_charge.png")
        element:SetName("Layer_9")
        compositionzaryadka_work:AddElement(element)
        element:SetHotSpot(7, 8)
        element:SetParentElement(compositionzaryadka_work)
        element:SetXY(163.625, 234.25)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(1, 10.8333333333333)
    
        effector:SetKey(_TRACK_O, 1, 0)
        effector:SetKey(_TRACK_O, 1.66666666666667, 1)
    
        effector:Play()
    
    
        -- Layer Layer_10
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/phone_charge/phone_charge.png")
        element:SetName("Layer_10")
        compositionzaryadka_work:AddElement(element)
        element:SetHotSpot(7, 8)
        element:SetParentElement(compositionzaryadka_work)
        element:SetXY(156.875, 233.5)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0.33333333333333, 10.8333333333333)
    
        effector:SetKey(_TRACK_O, 0.33333333333333, 0)
        effector:SetKey(_TRACK_O, 1, 1)
    
        effector:Play()
    
    
        -- Layer Layer_11
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/phone_charge/zaryadka_work.png")
        element:SetName("Layer_11")
        compositionzaryadka_work:AddElement(element)
        element:SetHotSpot(111, 140)
        element:SetParentElement(compositionzaryadka_work)
        element:SetXY(111, 140)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 10.8333333333333)
        effector:Play()
    
        return compositionzaryadka_work
    end
